<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] ?: array()) + array();





class BackupReporter
{
    
    
    
    
    protected $logger;
    public function Generate(BackupSingleSeries $_20eedf73e25dd0dfcc2236fcba14aff4)
    {
        $_20eedf73e25dd0dfcc2236fcba14aff4->log->Forward($this->logger);
        echo $_20eedf73e25dd0dfcc2236fcba14aff4->log->AsHtml();
    }
    public function SetLogger(\Psr\Log\LoggerInterface $logger)
    {
        $this->logger = $logger;
    }
}